Bug 805239 - Alarms don't work for CalDAV
Alarms don't work for CalDAV
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: beta
: 6.4
Assigned To: Matthew Barnes
Desktop QE
:
Depends On:
Blocks: 840699
  Show dependency treegraph
 
Reported: 2012-03-20 13:25 EDT by David Jaša
Modified: 2013-02-21 05:21 EST (History)
4 users (show)

See Also:
Fixed In Version: evolution-2.28.3-27.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 05:21:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evo patch (652 bytes, patch)
2012-04-05 13:17 EDT, Milan Crha
no flags Details | Diff

  None (edit)
Description David Jaša 2012-03-20 13:25:34 EDT
Description of problem:
Notifications don't work for CalDAV calendars. They do work for local calendar

Version-Release number of selected component (if applicable):
evolution-2.28.3-24.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. make sure that "Display alarms in notification area only" checkbox in Edit -> Preferences -> Calendar & Tasks -> Alarms is checked and also all calendars are checked
2. create an event with alarm in CalDAV calendar
3. wait for time when alarm should trigger
  
Actual results:
alarm is not triggered

Expected results:
alarm should be triggered

Additional info:
for local calendar, alarm works

RHEL 5 bug: bug 473044
Comment 1 Milan Crha 2012-03-21 06:41:53 EDT
We spoke a bit about this on IRC and there is a problem with authenticated calendars. There was a bug about the same with Exchange calendars, and if I recall correctly then the resolution was to store calendar password, thus the evolution-alarm-notify process have it ready when needed (the process doesn't ask users for passwords, it's new in 3.3.x). David told me he does save passwords for his CalDAV calendar, thus this is about something else.

The other possibility, I can think of right now, is network unavailability. I suppose David's calendar is on VPN, and when the evolution-alarm-notify process is run on session start, then the VPN connection is not established yet, thus the process gets rid of the calendar and doesn't try to reconnect later. Restart of evolution-alarm-notify may prove the hypothesis, though when David tried then it didn't work for him either, he didn't receive any reminders from his CalDAV calendar.

I'll investigate this later, and let you know what I found through this bug report.
Comment 2 Milan Crha 2012-04-05 13:17:26 EDT
Created attachment 575500 [details]
evo patch

for evolution;

OK, after some investigation it turned out that the evolution-alarm-notify process uses wrong password component. While the calendar view uses either "auth-domain" property of the ESource (which is usually set on Groupware sources, like exchange), or the predefined "Calendar" component, the evolution-alarm-notify fallbacks to ESource's name instead, thus it cannot find password (it is requested to store passwords, otherwise alarm notification doesn't work), and thus the authentication fails and no alarms are shown.

I'm currently building a test package for you, thus if you could test it, then it'll be appreciated. https://brewweb.devel.redhat.com/taskinfo?taskID=4266335
Comment 3 David Jaša 2012-04-06 07:02:58 EDT
(In reply to comment #2)
> 
> I'm currently building a test package for you, thus if you could test it, then
> it'll be appreciated. https://brewweb.devel.redhat.com/taskinfo?taskID=4266335

The build indeed fixes the problem, thanks!
Comment 10 errata-xmlrpc 2013-02-21 05:21:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0516.html

Note You need to log in before you can comment on or make changes to this bug.